﻿@model IEnumerable<YRPS.DTO.Security.User.UserImportDto>
@{
    <h5>Import Result</h5>
    if (Model != null && Model.Count() > 0)
    {
        <table class="table table-responsive">
            <tr>
                <th>
                    <span>First Name</span>
                </th>
                <th>
                    <span>Last Name</span>
                </th>
                <th>
                    <span>Email</span>
                </th>
                <th>
                    <span>Phone</span>
                </th>
                <th>
                    <span>Action</span>
                </th>
                <th>
                    <span>Status</span>
                </th>
            </tr>
            @{
                foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @item.FirstName
                        </td>
                        <td>
                            @item.LastName
                        </td>
                        <td>
                            @item.Email
                        </td>
                        <td>
                            @item.Phone
                        </td>
                        <td>
                            @item.Action
                        </td>
                        <td>
                            @{
                                if (item.ImportStatus == "Success")
                                {
                                    <span>     @item.ImportStatus</span>
                                }
                                else
                                {
                                    <span class="alert-danger">     @item.ImportStatus</span>
                                }
                            }

                        </td>
                    </tr>
                }
            }
        </table>
    }
    else
    {
        <div>
            <span>No records imported</span>
        </div>
    }
}
